Subject: Re: bug#56079: Missing performance optimisation: Word start/end tests

From: Paul Eggert <[email-masked]>
Date: Sun, 19 Jun 2022 10:26:43 -0500

On 6/19/22 00:38, sur-behoffski wrote:
>          a\<b
>          [abc]\>[def]
Yes, and this comes up even in strict POSIX without GNU extensions, as 
"a^" is a valid extended regular expression that cannot match anything.

I don't know whether dfa.c, regex.c, etc. optimize for this, but if not 
it would be nice if they did. For example, 'grep -E "a^" FOO' can 
silently exit with status 1 without even opening FOO.